Bug 258717 - irc/dxirc: Update to 1.40.0
Summary: irc/dxirc: Update to 1.40.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-25 11:09 UTC by David Vachulka
Modified: 2021-09-28 18:25 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (arch_dvx)


Attachments
diff file (7.75 KB, patch)
2021-09-25 11:09 UTC, David Vachulka
no flags Details | Diff
diff file (7.61 KB, patch)
2021-09-28 08:42 UTC, David Vachulka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Vachulka 2021-09-25 11:09:55 UTC
Created attachment 228167 [details]
diff file
Comment 1 David Vachulka 2021-09-25 11:19:20 UTC
I changed email.
I agree with change from my old login/email.
Comment 2 Li-Wen Hsu freebsd_committer 2021-09-27 09:16:38 UTC
There are some small issues in the pkg-plist:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/dxirc-qt is linked to /usr/local/lib/liblua-5.3.so from lang/lua53 but it is not declared as a dependency
Warning: you need USES+=lua
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/icons/flags/ae.png
Error: Orphaned: %%DATADIR%%/icons/flags/ag.png
Error: Orphaned: %%DATADIR%%/icons/flags/al.png
Error: Orphaned: %%DATADIR%%/icons/flags/an.png
Error: Orphaned: %%DATADIR%%/icons/flags/ao.png
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 3 David Vachulka 2021-09-28 08:42:58 UTC
Created attachment 228228 [details]
diff file
Comment 4 David Vachulka 2021-09-28 08:44:02 UTC
I added new diff - pkg-plist fixed
Comment 5 Li-Wen Hsu freebsd_committer 2021-09-28 18:20:09 UTC
Committed, thanks! I added TIMESTAMP in distinfo, it is used for reproducible build and is required now.

FYI, you can file a ticket to merge your bugzilla accounts if you want.